from .main import GraouPanel


class GRAOU_PT_setup(GraouPanel):
    bl_idname = 'GRAOU_PT_setup'
    bl_label = 'Setup Pipeline'

    def draw(self, context):
        layout = self.layout

        col = layout.column(align=True)
        col.label(text='Main Config:')
        col.operator('graou.build_scene', text='Init Scene', icon='OUTLINER')
        col.prop(context.scene.graou_props, 'socket_collection', text='Use socket', toggle=True)
        col.operator('graou.lighting', text='Set basic lighting', icon='OUTLINER_OB_LIGHT')
